org.eclipse.actf.model.ui.editors.ie

## Class WebBrowserEditor

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.EditorPart
      - - org.eclipse.actf.model.ui.editors.ie.WebBrowserEditor

All Implemented Interfaces:
  IModelServiceHolder, IAdaptable, IExecutableExtension, IEditorPart, ISaveablePart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public class WebBrowserEditor
    extends EditorPart
    implements IModelServiceHolder

The Editor implementation to open Web content by using Internet Explorer. It also provide access to HTML DOM via `IModelService`. The model service also implements `IWebBrowserACTF`.

See Also:
  `IModelServiceHolder`, `IModelService`, `IWebBrowserACTF`

### Field Summary

Fields
`static String` `ID` ID of this Editor

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`WebBrowserEditor()` Creates a new Internet Explorer Editor.

### Method Summary

Methods
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`void` `doSave(IProgressMonitor monitor)`
`void` `doSaveAs()`
`IEditorPart` `getEditorPart()` Get `IEditorPart` implemented together with this interface
`IModelService` `getModelService()` Get `IModelService` to access to model of the content
`void` `init(IEditorSite site, IEditorInput input)`
`boolean` `isDirty()`
`boolean` `isSaveAsAllowed()`
`void` `setEditorTitle(String title)` Set title to `IEditorPart` implemented together with this interface
`void` `setFocus()`

### Methods inherited from class org.eclipse.ui.part.EditorPart

`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### ID

    public static final String ID

ID of this Editor

### Constructor Detail

#### WebBrowserEditor

    public WebBrowserEditor()

Creates a new Internet Explorer Editor.

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Specified by:
  `createPartControl` in class `WorkbenchPart`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `WorkbenchPart`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`
Specified by:
  `setFocus` in class `WorkbenchPart`

#### doSave

    public void doSave(IProgressMonitor monitor)

Specified by:
  `doSave` in interface `ISaveablePart`
Specified by:
  `doSave` in class `EditorPart`

#### doSaveAs

    public void doSaveAs()

Specified by:
  `doSaveAs` in interface `ISaveablePart`
Specified by:
  `doSaveAs` in class `EditorPart`

#### init

    public void init(IEditorSite site,
            IEditorInput input)
              throws PartInitException

Specified by:
  `init` in interface `IEditorPart`
Specified by:
  `init` in class `EditorPart`
Throws:
  `PartInitException`

#### isDirty

    public boolean isDirty()

Specified by:
  `isDirty` in interface `ISaveablePart`
Specified by:
  `isDirty` in class `EditorPart`

#### isSaveAsAllowed

    public boolean isSaveAsAllowed()

Specified by:
  `isSaveAsAllowed` in interface `ISaveablePart`
Specified by:
  `isSaveAsAllowed` in class `EditorPart`

#### getModelService

    public IModelService getModelService()

Description copied from interface: `IModelServiceHolder`
Get `IModelService` to access to model of the content

Specified by:
  `getModelService` in interface `IModelServiceHolder`
Returns:
  `IModelService`

#### getEditorPart

    public IEditorPart getEditorPart()

Description copied from interface: `IModelServiceHolder`
Get `IEditorPart` implemented together with this interface

Specified by:
  `getEditorPart` in interface `IModelServiceHolder`
Returns:
  `IEditorPart`

#### setEditorTitle

    public void setEditorTitle(String title)

Description copied from interface: `IModelServiceHolder`
Set title to `IEditorPart` implemented together with this interface

Specified by:
  `setEditorTitle` in interface `IModelServiceHolder`
Parameters:
  `title` - target title